***************************************************************
*     * 07/20/92            HOMEDBF.PRG              12:11:12 *
***************************************************************
*     * Author's Name: Jeb Long                               *
*     *                                                       *
*     * Description:                                          *
*     * This program demonstrates FoxPro 2 commands           *
*     * used to create and manipulate WINDOWS.                *
***************************************************************

*
CLEAR ALL              && Clear system
SET STATUS BAR ON
SET TALK OFF
SET MESSAGE TO "Household Database System"
*
*  Four window are defined.
*
DEFINE WINDOW Books  FROM 1,1 TO 17,48 TITLE "Book List";
         SHADOW ZOOM MINIMIZE GROW FLOAT COLOR SCHEME 8
DEFINE WINDOW Video     FROM 2,2 TO 18,49 TITLE "Video Tapes";
         SHADOW ZOOM MINIMIZE GROW FLOAT COLOR SCHEME 8
DEFINE WINDOW Phone     FROM 3,3 TO 19,50 TITLE "Phone List";
         SHADOW ZOOM MINIMIZE GROW FLOAT COLOR SCHEME 8
DEFINE WINDOW Recipes   FROM 4,4 TO 20,51 TITLE "Food Recipes";
         SHADOW ZOOM MINIMIZE GROW FLOAT COLOR SCHEME 8
*
*  All windows are now activated in the order in which
*  they were defined.
*
ACTIVATE WINDOW ALL
*
*  Now define WINDOW, a window that will be used to edit
*  memo fields.
*
DEFINE WINDOW memofields FROM 1,30 TO 20,78 ;
         SHADOW ZOOM MINIMIZE GROW FLOAT COLOR SCHEME 8    
SET WINDOW OF MEMO TO memofields

DO PopSetup
USE Phone
USE Video IN 2
USE Books IN 3
SELECT 4
USE Recipe
BROWSE WINDOW Recipes SAVE NOWAIT    && Browse in WINDOW

Answer = " "
ACTIVATE POPUP Selector
CLEAR ALL
RETURN
*
*  This procedure is executed if any POPUP selection
*  bar of POPUP Mover is selected.  The designated
*  action is performed.
*
PROCEDURE Action
Answer = Prompt()               && Pick up POPUP bar label
DO CASE
   CASE "Phone"$Answer             && Process "Phone list"
      SELECT 1
      BROWSE WINDOW Phone SAVE      && Browse in WINDOW
   CASE "Video"$Answer     && Process "Video tape library"
      SELECT 2
      BROWSE WINDOW Video SAVE      && Browse in WINDOW
   CASE "Books"$Answer    && Process "Book list"
      SELECT 3
      BROWSE WINDOW Books SAVE   && Browse in WINDOW
   CASE "Recipe"$Answer
      SELECT 4
      BROWSE WINDOW Recipes SAVE    && Browse in WINDOW
   CASE "Move"$Answer
      ACTIVATE POPUP Mover
   CASE "Dot"$Answer                 && Exit to dot prompt
      DEACTIVATE POPUP
   CASE "DOS"$Answer                        && Exit to DOS
      QUIT
ENDCASE
RETURN
*
*  This procedure is used to DEFINE two POPUP objects.
*  POPUPs are presented in Chapter 16.
* 
PROCEDURE PopSetup
DEFINE POPUP Selector FROM 1,80 ;
     Message "Select a database to edit."
DEFINE BAR 1  OF Selector PROMPT "Phone List"
DEFINE BAR 2  OF Selector PROMPT "Video Tape Library"
DEFINE BAR 3  OF Selector PROMPT "Books"
DEFINE BAR 4  OF Selector PROMPT "Recipes"
DEFINE BAR 5  OF Selector PROMPT "Exit to Dot prompt"
DEFINE BAR 6  OF Selector PROMPT "Exit to DOS"
*  Define a program to execute if bar is selected.
ON SELECTION POPUP Selector Do Action
RETURN

